/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.ergebnis.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.ergebnis.entity.DHondtQuotientListenImGebietConstants;
import de.ivu.elect.business.ergebnis.entity.DHondtQuotientConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(DHondtQuotientListenImGebietMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class DHondtQuotientListenImGebietMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "dHondtQuotientListenImGebietMeta";

  @Inject
  private transient Messages messages;

  public DHondtQuotientListenImGebietMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return DHondtQuotientListenImGebietConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return DHondtQuotientListenImGebietConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getDiscriminatorEinzahlMessageKey(){
    return DHondtQuotientConstants.MESSAGE_KEY_DISCRIMINATOR_EINZAHL;
  }

  public String getDiscriminatorMehrzahlMessageKey(){
    return DHondtQuotientConstants.MESSAGE_KEY_DISCRIMINATOR_MEHRZAHL;
  }


  public String getDiscriminatorEinzahlMessage(){
    return getMessage(getDiscriminatorEinzahlMessageKey());
  }

  public String getDiscriminatorMehrzahlMessage(){
    return getMessage(getDiscriminatorMehrzahlMessageKey());
  }



  public boolean isDiscriminatorRequired() {
    return !DHondtQuotientConstants.DISCRIMINATOR_NULLABLE;
  }

  public java.lang.String getDiscriminatorDefaultValue() {
    return DHondtQuotientConstants.DISCRIMINATOR_DEFAULT_VALUE;
  }

  public int getDiscriminatorMaxLength() {
    return DHondtQuotientConstants.DISCRIMINATOR_MAX_LENGTH;
  }

  public String getNennerEinzahlMessageKey(){
    return DHondtQuotientConstants.MESSAGE_KEY_NENNER_EINZAHL;
  }

  public String getNennerMehrzahlMessageKey(){
    return DHondtQuotientConstants.MESSAGE_KEY_NENNER_MEHRZAHL;
  }


  public String getNennerEinzahlMessage(){
    return getMessage(getNennerEinzahlMessageKey());
  }

  public String getNennerMehrzahlMessage(){
    return getMessage(getNennerMehrzahlMessageKey());
  }



  public boolean isNennerRequired() {
    return !DHondtQuotientConstants.NENNER_NULLABLE;
  }

  public java.lang.Long getNennerDefaultValue() {
    return DHondtQuotientConstants.NENNER_DEFAULT_VALUE;
  }

  public int getNennerMaxLength() {
    return DHondtQuotientConstants.NENNER_MAX_LENGTH;
  }

  public long getNennerMinValue() {
    return DHondtQuotientConstants.NENNER_MIN_VALUE;
  }

  public long getNennerMaxValue() {
    return DHondtQuotientConstants.NENNER_MAX_VALUE;
  }

  public String getRangEinzahlMessageKey(){
    return DHondtQuotientConstants.MESSAGE_KEY_RANG_EINZAHL;
  }

  public String getRangMehrzahlMessageKey(){
    return DHondtQuotientConstants.MESSAGE_KEY_RANG_MEHRZAHL;
  }


  public String getRangEinzahlMessage(){
    return getMessage(getRangEinzahlMessageKey());
  }

  public String getRangMehrzahlMessage(){
    return getMessage(getRangMehrzahlMessageKey());
  }



  public boolean isRangRequired() {
    return !DHondtQuotientConstants.RANG_NULLABLE;
  }

  public java.lang.Long getRangDefaultValue() {
    return DHondtQuotientConstants.RANG_DEFAULT_VALUE;
  }

  public int getRangMaxLength() {
    return DHondtQuotientConstants.RANG_MAX_LENGTH;
  }

  public long getRangMinValue() {
    return DHondtQuotientConstants.RANG_MIN_VALUE;
  }

  public long getRangMaxValue() {
    return DHondtQuotientConstants.RANG_MAX_VALUE;
  }

  public String getSitzgewinnEinzahlMessageKey(){
    return DHondtQuotientConstants.MESSAGE_KEY_SITZGEWINN_EINZAHL;
  }

  public String getSitzgewinnMehrzahlMessageKey(){
    return DHondtQuotientConstants.MESSAGE_KEY_SITZGEWINN_MEHRZAHL;
  }


  public String getSitzgewinnEinzahlMessage(){
    return getMessage(getSitzgewinnEinzahlMessageKey());
  }

  public String getSitzgewinnMehrzahlMessage(){
    return getMessage(getSitzgewinnMehrzahlMessageKey());
  }



  public boolean isSitzgewinnRequired() {
    return !DHondtQuotientConstants.SITZGEWINN_NULLABLE;
  }

  public java.lang.Boolean getSitzgewinnDefaultValue() {
    return DHondtQuotientConstants.SITZGEWINN_DEFAULT_VALUE;
  }


  public String getTeilnehmerAmLosverfahrenEinzahlMessageKey(){
    return DHondtQuotientConstants.MESSAGE_KEY_TEILNEHMER_AM_LOSVERFAHREN_EINZAHL;
  }

  public String getTeilnehmerAmLosverfahrenMehrzahlMessageKey(){
    return DHondtQuotientConstants.MESSAGE_KEY_TEILNEHMER_AM_LOSVERFAHREN_MEHRZAHL;
  }


  public String getTeilnehmerAmLosverfahrenEinzahlMessage(){
    return getMessage(getTeilnehmerAmLosverfahrenEinzahlMessageKey());
  }

  public String getTeilnehmerAmLosverfahrenMehrzahlMessage(){
    return getMessage(getTeilnehmerAmLosverfahrenMehrzahlMessageKey());
  }



  public boolean isTeilnehmerAmLosverfahrenRequired() {
    return !DHondtQuotientConstants.TEILNEHMER_AM_LOSVERFAHREN_NULLABLE;
  }

  public java.lang.Boolean getTeilnehmerAmLosverfahrenDefaultValue() {
    return DHondtQuotientConstants.TEILNEHMER_AM_LOSVERFAHREN_DEFAULT_VALUE;
  }


  public String getZaehlerEinzahlMessageKey(){
    return DHondtQuotientConstants.MESSAGE_KEY_ZAEHLER_EINZAHL;
  }

  public String getZaehlerMehrzahlMessageKey(){
    return DHondtQuotientConstants.MESSAGE_KEY_ZAEHLER_MEHRZAHL;
  }


  public String getZaehlerEinzahlMessage(){
    return getMessage(getZaehlerEinzahlMessageKey());
  }

  public String getZaehlerMehrzahlMessage(){
    return getMessage(getZaehlerMehrzahlMessageKey());
  }



  public boolean isZaehlerRequired() {
    return !DHondtQuotientConstants.ZAEHLER_NULLABLE;
  }

  public java.lang.Long getZaehlerDefaultValue() {
    return DHondtQuotientConstants.ZAEHLER_DEFAULT_VALUE;
  }

  public int getZaehlerMaxLength() {
    return DHondtQuotientConstants.ZAEHLER_MAX_LENGTH;
  }

  public long getZaehlerMinValue() {
    return DHondtQuotientConstants.ZAEHLER_MIN_VALUE;
  }

  public long getZaehlerMaxValue() {
    return DHondtQuotientConstants.ZAEHLER_MAX_VALUE;
  }


  public String getListeEinzahlMessageKey(){
    return DHondtQuotientListenImGebietConstants.MESSAGE_KEY_LISTE_ID_EINZAHL;
  }

  public String getListeEinzahlMessage(){
    return getMessage(getListeEinzahlMessageKey());
  }

  public boolean isListeRequired() {
    return !DHondtQuotientListenImGebietConstants.LISTE_ID_NULLABLE;
  }


  public String getWahldurchfuehrungsgebietEinzahlMessageKey(){
    return DHondtQuotientListenImGebietConstants.MESSAGE_KEY_WAHLDURCHFUEHRUNGSGEBIET_ID_EINZAHL;
  }

  public String getWahldurchfuehrungsgebietEinzahlMessage(){
    return getMessage(getWahldurchfuehrungsgebietEinzahlMessageKey());
  }

  public boolean isWahldurchfuehrungsgebietRequired() {
    return !DHondtQuotientListenImGebietConstants.WAHLDURCHFUEHRUNGSGEBIET_ID_NULLABLE;
  }


  public String getErgebnisEinzahlMessageKey(){
    return DHondtQuotientConstants.MESSAGE_KEY_ERGEBNIS_ID_EINZAHL;
  }

  public String getErgebnisEinzahlMessage(){
    return getMessage(getErgebnisEinzahlMessageKey());
  }

  public boolean isErgebnisRequired() {
    return !DHondtQuotientConstants.ERGEBNIS_ID_NULLABLE;
  }

}